
QGIS Application - Bug report #2590

Can't open Python console after new layer creation

2010-03-25 11:51 PM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12650

Description

To reproduce:

1. create new empty shapefile with QGIS (point, polygon or line), add one attribute

2. start editing and add few object to the layer

3. save edits

4. try to open Python console

5. get error "Failed to open Python console: exceptions.NameError: name '_qgis_featureform_220100325194534055' is not defined"

History

#1 - 2010-03-27 11:01 AM - Martin Dobias

Not reproducible here.

I believe this error is related to the usage of custom form for editing of feature attributes: a form fails to load and the python exception is set, but not handled

until the python console is started. Can you confirm?

Or it could be related to one of the plugins...

#2 - 2010-03-29 10:17 AM - Alexander Bruy

Replying to [comment:1 wonder]:

I believe this error is related to the usage of custom form for editing of feature attributes: a form fails to load and the python exception is set, but not

handled until the python console is started. Can you confirm?

I don't use custom form for attributes editing. Also I disable "Open feature form, if a single feature identified" but error remains

Or it could be related to one of the plugins...

All plugins are unloaded and same result - error.
#3 - 2010-06-17 12:18 PM - Borys Jurgiel

Still the problem occurs? I can't reproduce it and have no idea where's the reason.

#4 - 2010-06-17 12:44 PM - Maxim Dubinin

I confirm, problem is still here.

No forms, fresh nightly build, new project with only one layer in it.

http://gis-lab.info/images/screenshots/20100617-f69-12kb.jpg

#5 - 2010-06-17 12:46 PM - Alexander Bruy

Confirmed too. With or without forms, commit:27e451ce (SVN r13725).

#6 - 2010-06-20 06:09 AM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

Should be fixed in commit:52a49c90 (SVN r13752).

#7 - 2010-06-20 11:02 AM - Alexander Bruy

Yes, it is fixed. Thanks, Martin!
